#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-testpath
Version		:	0.6.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Test utilities for code working with files and commands
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.io/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3-pip
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-pep517
BuildRequires	:	python3-pytest
BuildRequires	:	python3-tomli

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Testpath is a collection of utilities for Python code
working with files and commands.

It contains functions to check things on the filesystem,
and tools for mocking system commands and recording calls to those.
	

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%{__rm} testpath/cli*.exe
#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
pytest -v

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
